#
# spec file for package perl-Chart
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Chart
Name:           perl-Chart
Version:        2.403.9
Release:        1.8
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Series of charting modules
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LI/LICHTKIND/%{cpan_name}-v%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp) >= 1.35
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(GD) >= 2
BuildRequires:  perl(Graphics::Toolkit::Color) >= 1
BuildRequires:  perl(Test::More) >= 1.3
BuildRequires:  perl(Test::Warn) >= 0.30
Requires:       perl(Carp) >= 1.35
Requires:       perl(GD) >= 2
Requires:       perl(Graphics::Toolkit::Color) >= 1
%{perl_requires}

%description
Chart helps you to create PNG and JPG images with visualizations of numeric
data. This page gives you a summary how to use it. For a more thorough
documentation and lots of example code please visit the Chart::Manual.

%prep
%autosetup  -n %{cpan_name}-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING README TODO
%license LICENSE

%changelog
* Tue Nov 29 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.403.9
  see /usr/share/doc/packages/perl-Chart/Changes
  2.403.9 2022-12-11 lichtkind
  - -------
  * = minor feature add
  * + add_datafile now reads CSV
  * & added test for loading data files
* Sun Oct 23 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.403.8
  see /usr/share/doc/packages/perl-Chart/Changes
  2.403.8 2022-10-22 lichtkind
  - -------
  * = POD rewrite release
  * \ moved color code to Graphics::Toolkit::Color
  * ? adapted POD
* Sat Jul 30 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.403.7
  see /usr/share/doc/packages/perl-Chart/Changes
* Fri Jul 22 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.403.6
  see /usr/share/doc/packages/perl-Chart/Changes
  2.403.6 2022-08-21 lichtkind
  - ------
  * = POD rewrite release
  * ! gap in HTML tag in POD prevented lanfing page illustrations
  * ? final touche on new POD documentation
  2.403.5 2022-08-18 lichtkind
  - ------
  * = POD rewrite release
  * ? completed workflow page in manual
  * ? completed methods page in manual
  2.403.4 2022-08-17 lichtkind
  - ------
  * = POD rewrite release
  * ? completed types page in manual
  * ! fixed some image sizes
  * ! fixed dist.ini so old stuff from git don't spill into release
  2.403.3 2022-08-16 lichtkind
  - ------
  * = POD rewrite release
  * + addded images to landing page
  * + data files can have # comments
  * ? wrote most of types page in manual
  * ? some small addons for properties page
  * ! fixed overlong tick label due rounding error near zero
  2.403.2 2022-08-13 lichtkind
  - ------
  * = POD rewrite release
  * ? completed properties page in manual
  * ? started types page in manual with first test example
  * ! linkfixes on landing POD of Chart.pm
  * ! linkfixes on Color::Constants.pm POD
  2.403.1 2022-08-12 lichtkind
  - ------
  * = POD rewrite release
  * ? completed most of properties
  * ? all names listed in Color::Constants.POD
  2.403.0 2022-08-07 lichtkind
  - ------
  * = test release to check metacpan POD parser
  * + added Chart::Manual + property sub page
  * - drop PDF and HTML documentation
  * - drop dependency on module: POSIX
* Sun Jun 19 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.402.3
  see /usr/share/doc/packages/perl-Chart/Changes
  2.402.3 2022-07-18 lichtkind
  - ------
  * + string method to color objects
  * ? document that y_ticks1, y_ticks2 is composite only
  * ! fixed (not returning from Color::Value even sub sub carped)
* Wed Apr  6 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.401.1
  see /usr/share/doc/packages/perl-Chart/Changes
* Sat May  2 2015 coolo@suse.com
- updated to 2.4.10
  see /usr/share/doc/packages/perl-Chart/
* Fri Oct  3 2014 crrodriguez@opensuse.org
- Cleanup buildRequires, none of the libraries are used
  by this (noarch) package
* Sun Apr  1 2012 pascal.bleser@opensuse.org
- update to 2.4.5: no upstream changelog available
* Wed Jan 11 2012 pascal.bleser@opensuse.org
- update to 2.4.4: no upstream changelog available
* Wed Nov 30 2011 pascal.bleser@opensuse.org
- update to 2.4.3:
  * corrections to imagemap production in Composite.pm and Lines.pm
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Oct 14 2010 chris@computersalat.de
- update to 2.4.2
  o Base.pm:
  * The values for 'true' resp. 'false' may be of the following
    true: TRUE, true, T, t, 1 and defined
    false: FALSE, false, F, f, 0 or undefined
  * Added new options xlabel and xrange which is valid for xy_plot
    and Chart::Lines, Chart::Points, Chart::LinesPoints,
    Chart::Split, Chart::ErrorBars.
  * In order to use the labels, the chart module needs to have 'xlabels'
    AND 'xrange' set. Below is some example code for use:
    @labels = (['Jan', 'Feb','Mar'],
    ['10','40','70']);
    $chart->set( xlabels => \@labels,
    xrange => [0,100] );
    This options allow to set and position labels at the x-axis arbitrary.
  * add_dataset() and app_pt() accepts now datasets as lists and as
    references to list like already mentioned in the docs
  o Pie.pm:
  * Optimized organisation of the placement of the labels.
    Added flag to avoid plotting of legends at all
    Using GD Version 2.0.36 as this version supports 'filledArc'
  o Composite.pm:
  * Correction due to Request 23166
    write the endmost value of input array
    in imagemap_data array
  o Lines.pm:
  * Correction due to Request 23166:
    write the endmost value of input array
    in imagemap_data array
- noarch pkg
- recreated by cpanspec 1.78
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 dmueller@suse.de
- 2.4.1 update
* Mon Oct 17 2005 dmueller@suse.de
- initial package (2.3)
